<?php

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Event\Models\EventSpeaker;
use EventPortal\Domain\Speaker\Models\Speaker;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(EventSpeaker::class, static function () {
    return [
        'event_id' => function () {
            return factory(Event::class)->create()->id;
        },
        'speaker_id' => function () {
            return factory(Speaker::class)->create()->id;
        },
    ];
});

