<?php

use EventPortal\Domain\User\Models\User;
use Faker\Generator as Faker;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(User::class, function (Faker $faker) {
    return [
        'first_name' => $faker->firstName,
        'last_name' => $faker->lastName,
        'email' => $faker->safeEmail,
    ];
});

$factory->state(User::class, 'snapshot', function () {
    return [
        'first_name' => 'Test',
        'last_name' => 'User',
        'email' => 'user@example.com',
    ];
});
